import React from 'react'
import FormikControlString from './FormikControlTypes/FormikControlString'
import FormikControlPassword from './FormikControlTypes/FormikControlPassword'


export function FormikControl(props) {
    const { control, ...rest } = props
    switch (control) {
        case 'string':
            return <FormikControlString {...rest} />
        case 'password':
            return <FormikControlPassword {...rest} />
        // case 'textarea':
        //     return <FormikInputTextarea {...rest} />
        // case 'select':
        //     return <FormikInputSelect {...rest} />
        // case 'radio':
        //     return <FormikInputRadioGroup {...rest} />
        // case 'checkbox':
        //     return <FormikInputCheckbox {...rest} />
        // case 'checkboxs':
        //     return <FormikInputCheckboxGroup {...rest} />
        // case 'userconsent':
        //     return <FormikInputUserConsent {...rest} />
        // case 'phone':
        //     return <FormikInputPhone {...rest} />
        default:
            return null
    }
}

export default FormikControl
