import React from 'react'

function Link(props) {
    const { action, children, className, ...rest } = props
    const classNames = ['text-primary-dark cursor-pointer hover:underline', className].join(' ');
    return (
        <span onClick={action} className={classNames} {...rest}>{children}</span>
    )
}

export default Link
